Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.text
Class LineInfo

    java.lang.Object
      org.apache.batik.gvt.text.LineInfo

public class LineInfo
extends java.lang.Object

This class encapsulates the layout information about a single line in a multi-line flow.

Constructor Summary
`LineInfo(java.awt.geom.Point2D.Float loc, java.text.AttributedCharacterIterator aci, GVTGlyphVector gv, int startIdx, int endIdx, float advance, float visualAdvance, float lastCharWidth, float lineWidth, boolean partial, java.awt.geom.Point2D.Float verticalAlignOffset)`

Method Summary
`java.text.AttributedCharacterIterator` | `getACI()`
`float` | `getAdvance()`
`int` | `getEndIdx()`
`GVTGlyphVector` | `getGlyphVector()`
`float` | `getLastCharWidth()`
`float` | `getLineWidth()`
`java.awt.geom.Point2D.Float` | `getLocation()`
`int` | `getStartIdx()`
`java.awt.geom.Point2D.Float` | `getVerticalAlignOffset()`
`float` | `getVisualAdvance()`
`boolean` | `isPartialLine()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LineInfo

    public LineInfo(java.awt.geom.Point2D.Float loc,
                    java.text.AttributedCharacterIterator aci,
                    GVTGlyphVector gv,
                    int startIdx,
                    int endIdx,
                    float advance,
                    float visualAdvance,
                    float lastCharWidth,
                    float lineWidth,
                    boolean partial,
                    java.awt.geom.Point2D.Float verticalAlignOffset)

Method Detail

### getLocation

    public java.awt.geom.Point2D.Float getLocation()

### getACI

    public java.text.AttributedCharacterIterator getACI()

### getGlyphVector

    public GVTGlyphVector getGlyphVector()

### getStartIdx

    public int getStartIdx()

### getEndIdx

    public int getEndIdx()

### getAdvance

    public float getAdvance()

### getVisualAdvance

    public float getVisualAdvance()

### getLastCharWidth

    public float getLastCharWidth()

### getLineWidth

    public float getLineWidth()

### isPartialLine

    public boolean isPartialLine()

### getVerticalAlignOffset

    public java.awt.geom.Point2D.Float getVerticalAlignOffset()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.